from lib_prime import primes


def euler_069():
    s = 1
    for p in primes(1000):
        s *= p
        if s > 1000000:
            return s // p


if __name__ == "__main__":
    print("e069.py: " + str(euler_069()))
    assert(euler_069() == 510510)
